Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_VarSeq_Var_T< T, T_elem > Class Template Reference

Parametrized implementation of _var class for sequences whose element is of variable size.. More...

`#include <Seq_Var_T.h>`

Inheritance diagram for TAO_VarSeq_Var_T< T, T_elem >:

[legend]
Collaboration diagram for TAO_VarSeq_Var_T< T, T_elem >:

[legend]
List of all members.

## Public Methods
| TAO_VarSeq_Var_T (void)
| TAO_VarSeq_Var_T (T *)
| TAO_VarSeq_Var_T (const TAO_VarSeq_Var_T< T, T_elem > &)
TAO_VarSeq_Var_T & | operator= (T *)
TAO_VarSeq_Var_T & | operator= (const TAO_VarSeq_Var_T< T, T_elem > &)
T_elem & | operator[] (CORBA::ULong index)
| operator T *& ()

## Detailed Description

### template<typename T, typename T_elem>
class TAO_VarSeq_Var_T< T, T_elem >

Parametrized implementation of _var class for sequences whose element is of variable size..

## Constructor & Destructor Documentation

template<typename T, typename T_elem>
ACE_INLINE TAO_VarSeq_Var_T< T, T_elem >::TAO_VarSeq_Var_T | ( | void |  | ) |

template<typename T, typename T_elem>
ACE_INLINE TAO_VarSeq_Var_T< T, T_elem >::TAO_VarSeq_Var_T | ( | T * |  | ) |

template<typename T, typename T_elem>
TAO_VarSeq_Var_T< T, T_elem >::TAO_VarSeq_Var_T | ( | const TAO_VarSeq_Var_T< T, T_elem > & |  | ) |

## Member Function Documentation

template<typename T, typename T_elem>
ACE_INLINE TAO_VarSeq_Var_T< T, T_elem >::operator T *& | ( |  | ) |

template<typename T, typename T_elem>
TAO_VarSeq_Var_T< T, T_elem > & TAO_VarSeq_Var_T< T, T_elem >::operator= | ( | const TAO_VarSeq_Var_T< T, T_elem > & |  | ) |

template<typename T, typename T_elem>
ACE_INLINE TAO_VarSeq_Var_T< T, T_elem > & TAO_VarSeq_Var_T< T, T_elem >::operator= | ( | T * |  | ) |

template<typename T, typename T_elem>
ACE_INLINE T_elem & TAO_VarSeq_Var_T< T, T_elem >::operator[] | ( | CORBA::ULong | index | ) |

The documentation for this class was generated from the following files:

- Seq_Var_T.h
- Seq_Var_T.cpp
- Seq_Var_T.inl